Redmine - Patch #31126

Update sqlite3 gem (~> 1.4.0)
2019-03-31 11:17 - Go MAEDA

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Go MAEDA % Done: 0%
Category: Gems support Estimated time: 0.00 hour
Target version: 4.1.0

Description

sqlite3 1.4.0 has been released on February 04, 2019.
https://github.com/sparklemotion/sqlite3-ruby/blob/master/CHANGELOG.rdoc#140

diff --git a/Gemfile b/Gemfile

index f5f5fdl0aa..8bfad48b2d 100644

-—— a/Gemfile

+++ b/Gemfile

@@ -57,7 +57,7 Q@ if File.exist? (database_file)
when /postgresqgl/

gem "pg", "~> 1.1.4", :platforms => [:mri, :mingw, :x64_mingw]
when /sqglite3/
= gem "sqglite3", "~>1.3.12", :platforms => [:mri, :mingw, :x64_mingw]
+ gem "sqglite3", "~> 1.4.0", :platforms => [:mri, :mingw, :x64_mingw]
when /sqglserver/
gem "tiny_tds", "~> 1.0.5", :platforms => [:mri, :mingw, :x64_mingw]
gem "activerecord-sglserver-adapter", :platforms => [:mri, :mingw, :x64_mingw]

Related issues:
Blocked by Redmine - Patch #31113: Update Rails to 5.2.3 Closed

Associated revisions

Revision 18030 - 2019-03-31 13:24 - Go MAEDA
Update sqlite3 gem (~> 1.4.0) (#31126).

History

#1 - 2019-03-31 11:22 - Go MAEDA

Rails 5.2.3 or later is required to use sqlite3 1.4.0 gem due to the following issue.
https://github.com/rails/rails/issues/35153

#2 - 2019-03-31 11:23 - Go MAEDA

- Description updated

#3 - 2019-03-31 11:24 - Go MAEDA
- Blocked by Patch #31113: Update Rails to 5.2.3 added

#4 - 2019-03-31 13:24 - Go MAEDA
- Status changed from New to Closed

- Assignee set to Go MAEDA

Committed.

2025-05-01 1/1



https://github.com/sparklemotion/sqlite3-ruby/blob/master/CHANGELOG.rdoc#140
https://github.com/rails/rails/issues/35153
http://www.tcpdf.org

